- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtx::TestCase Class Reference

TestCase, supplies the interface for a Composite pattern's leaf class, though it is not a leaf in itself. More...

Inheritance diagram for osgUtx::TestCase:

[legend]
List of all members.

## Public Types
typedef TestContext | Context
## Public Member Functions
| TestCase (const std::string &sName)
virtual bool | accept (Visitor &v)
virtual void | run (const Context &)=0
## Protected Member Functions
virtual | ~TestCase ()

## Detailed Description

TestCase, supplies the interface for a Composite pattern's leaf class, though it is not a leaf in itself.

## Member Typedef Documentation

typedef TestContext osgUtx::TestCase::Context

## Constructor & Destructor Documentation

osgUtx::TestCase::TestCase | ( | const std::string & | sName | ) | `[inline]`

virtual osgUtx::TestCase::~TestCase | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual bool osgUtx::TestCase::accept | ( | Visitor & | v | ) | `[inline, virtual]`

virtual void osgUtx::TestCase::run | ( | const Context & |  | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- UnitTestFramework